org.eclipse.microprofile.opentracing.tck.application

## Class TracerWebService

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TracerWebService

    @Path(value="tracer")
     @Traced(value=false)
    public class TracerWebService
    extends Object

Author:
  Pavol Loffay

### Field Summary

Fields
`static String` `REST_CLEAR_TRACER` Web service endpoint for the clearTracer call.
`static String` `REST_GET_TRACER` Web service endpoint for the getTracer call.
`static String` `REST_TRACER_SERVICE_PATH` Web service exposing tracer related endpoints.

### Constructor Summary

Constructors
Constructor and Description
`TracerWebService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearTracer()` Clear accumulated spans in the Tracer.
`io.opentracing.Tracer` `getTracer()` Get details about completed spans.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REST_TRACER_SERVICE_PATH

    public static final String REST_TRACER_SERVICE_PATH

Web service exposing tracer related endpoints.

See Also:
  Constant Field Values

#### REST_GET_TRACER

    public static final String REST_GET_TRACER

Web service endpoint for the getTracer call.

See Also:
  Constant Field Values

#### REST_CLEAR_TRACER

    public static final String REST_CLEAR_TRACER

Web service endpoint for the clearTracer call.

See Also:
  Constant Field Values

### Constructor Detail

#### TracerWebService

    public TracerWebService()

### Method Detail

#### getTracer

    @GET
     @Path(value="getTracer")
     @Produces(value="application/json")
    public io.opentracing.Tracer getTracer()
                                                                                                        throws NoSuchMethodException,
                                                                                                               SecurityException,
                                                                                                               IllegalAccessException,
                                                                                                               IllegalArgumentException,
                                                                                                               InvocationTargetException

Get details about completed spans. Returns a `TestTracer` which has information on the spans.

Returns:
  Injected tracer
Throws:
  `SecurityException` - Reflection issues
  `NoSuchMethodException` - Reflection issues
  `InvocationTargetException` - Reflection issues
  `IllegalArgumentException` - Reflection issues
  `IllegalAccessException` - Reflection issues

#### clearTracer

    @DELETE
     @Path(value="clearTracer")
    public void clearTracer()
                                                         throws IllegalAccessException,
                                                                IllegalArgumentException,
                                                                InvocationTargetException,
                                                                NoSuchMethodException,
                                                                SecurityException

Clear accumulated spans in the Tracer.

Throws:
  `IllegalAccessException` - Reflection issues
  `IllegalArgumentException` - Reflection issues
  `InvocationTargetException` - Reflection issues
  `NoSuchMethodException` - Reflection issues
  `SecurityException` - Reflection issues